## freefem++ 3.14

=== download/blacs/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include Bmake.inc

all-local: blacs 

# Downloading and compiling BLACS
# ------------------------------
# http://www.netlib.org/blacs/
# Hips information
DIRPKG=../pkg
SRCDIR=BLACS
PACKAGE1=$(DIRPKG)/mpiblacs.tgz
PACKAGE2=$(DIRPKG)/mpiblacs-patch03.tgz
PACKAGE3=$(DIRPKG)/blacstester.tgz
SERVER=http://www.netlib.org/blacs/
INSTALL=../..

SYSERRORS = 

blacs:FAIRE


FAIRE:$(SRCDIR)/FAIT
	$(MAKE) WHERE
	touch FAIRE

Bmake.inc: ../../config.status	Makefile Bmake-blacs.inc
	../../config.status  --file="Bmake.inc1:Bmake-blacs.inc"
	sed s/-DAdd__/-Df77IsF2C/ <Bmake.inc1 >Bmake.inc
	rm Bmake.inc1

$(SRCDIR)/FAIT: $(SRCDIR)
	#cd $(SRCDIR)/INSTALL/;$(MAKE) xintface xsyserrors xcmpi_sane xfmpi_sane xtc_CsameF77 xtc_UseMpich
	cd $(SRCDIR);$(MAKE) mpi 
	touch $(SRCDIR)/FAIT

WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	make install;  \
	echo blacs LD -L@DIR@/lib/blacs -lblacsCinit_MPI-FREEFEM-0	-lblacsF77init_MPI-FREEFEM-0	-lblacs_MPI-FREEFEM-0  >$(SRCDIR)/$(INSTALL)/lib/WHERE.blacs ;\
	fi

install: $(SRCDIR)/FAIT
	mkdir -p $(SRCDIR)/$(INSTALL)/lib/blacs
	cp $(SRCDIR)/LIB/*.a $(SRCDIR)/$(INSTALL)/lib/blacs/

$(SRCDIR): $(PACKAGE1) $(PACKAGE2) $(PACKAGE3)
	gunzip -c $(PACKAGE1) | tar xvf -
	gunzip -c $(PACKAGE2) | tar xvf -
	gunzip -c $(PACKAGE3) | tar xvf -
	cd $(SRCDIR)/SRC/MPI; patch -p1 < ../../../BLACS.patch
	cp Bmake.inc $(SRCDIR)
	mv $(SRCDIR)/SRC/MPI/Makefile $(SRCDIR)/SRC/MPI/Makefile.tmp
	sed -e 's;\.C;\.oo;g'\
	< $(SRCDIR)/SRC/MPI/Makefile.tmp \
	> $(SRCDIR)/SRC/MPI/Makefile
	touch $(SRCDIR)

$(PACKAGE1):
	-mkdir $(DIRPKG)
	cd $(DIRPKG);$(WGET)  $(SERVER)/`basename $(PACKAGE1)`

$(PACKAGE2):
	-mkdir $(DIRPKG)
	cd $(DIRPKG);$(WGET) $(SERVER)/`basename $(PACKAGE2)`

$(PACKAGE3):
	-mkdir $(DIRPKG)
	cd $(DIRPKG);$(WGET) $(SERVER)/`basename $(PACKAGE3)`

clean-local:
	-cd $(SRCDIR)/SRC/MPI &&  $(MAKE) clean -C $(SRCDIR)/SRC/MPI

clean: clean-local
	-rm Bmake.inc FAIRE
	-rm $(SRCDIR)/$(INSTALL)/lib/blacs/*.a
	-rm -rf $(SRCDIR)

.PHONY:$(SRCDIR)/$(INSTALL)  compile install

=== download/fftw/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include cxxflags



# Downloading and compiling FFTW
# ------------------------------

# FFTW information
#http://www.fftw.org/fftw-3.2.tar.gz
SRCDIR=fftw-$(FFTW_VERSION)
PACKAGE=fftw-$(FFTW_VERSION).tar.gz
SERVER=http://www.fftw.org
PKGDIR=../pkg
FFTW_VERSION=3.2.1
INSTALL=../..
THIS=fftw3

fftw:FAIT
#   $(WIN32DLLTARGET)  

FAITwin32-dll-target:
	echo "On Pure Win32 (to hard to compile) "

FAIT:	
	$(MAKE) FAIRE
	touch FAIT 

FAIRE: $(SRCDIR) 
	cd $(SRCDIR) && ./configure --disable-dependency-tracking  --disable-fortran  --prefix=`pwd`/$(INSTALL) CXX="$(CXX)" CC="$(CC)"  CFLAGS="$(CFLAGS)" CPP='gcc -E' CXXFLAGS="$(CXXFLAGS)"
	cd $(SRCDIR) && make install
	touch FAIRE
install:  WHERE
	cd $(SRCDIR) && make install
WHERE: 
	-if [ FAIT ] ; then \
	echo $(THIS)  LD -L@DIR@/lib -l$(THIS)  >$(SRCDIR)/$(INSTALL)/lib/WHERE.$(THIS) ;\
	echo $(THIS) INCLUDE -I@DIR@/include   >> $(SRCDIR)/$(INSTALL)/lib/WHERE.$(THIS) ;\
	fi

$(SRCDIR): $(PKGDIR)/$(PACKAGE)
	gunzip -c   $^ | tar xvf - 

$(PKGDIR)/$(PACKAGE):
	cd $(PKGDIR); $(WGET)  $(SERVER)/$(PACKAGE)

clean: clean-local

clean-local:
	-rm -rf fftw-* FAIT FAIRE

cxxflags: ../Makefile
	grep 'CXX *=' ../Makefile >cxxflags
	grep 'CC *=' ../Makefile >>cxxflags
	grep 'CXXFLAGS *=' ../Makefile >>cxxflags
	grep 'CFLAGS *=' ../Makefile >>cxxflags
	grep 'WGET *=' ../Makefile >>cxxflags
	grep 'WIN32DLLTARGET *=' ../Makefile >>cxxflags

=== download/metis/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include Makefile.in

all-local: metis

# Downloading and compiling Tetgen
# ------------------------------
# http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis/metis-4.0.tar.gz
# Metis information
DIRPKG=../pkg
SRCDIR=metis-$(metis_VERSION)
PACKAGE=$(DIRPKG)/metis-$(metis_VERSION).tar.gz
SERVER=http://glaros.dtc.umn.edu/gkhome/fetch/sw/metis
INSTALL=../..
metis_VERSION=4.0

metis: FAIRE


$(SRCDIR)/FAIT:
	$(MAKE) install WHERE
	touch $(SRCDIR)/FAIT

install:$(SRCDIR)/tag-compile
#	$(MAKE) install
	mkdir -p $(SRCDIR)/$(INSTALL)/include/metis
	cp $(SRCDIR)/Lib/*.h $(SRCDIR)/$(INSTALL)/include/metis


FAIRE: $(SRCDIR)/FAIT 
	touch fAIRE

Makefile.in: ../../config.status Makefile-metis.in
	../../config.status  --file="Makefile.in:Makefile-metis.in"

$(SRCDIR)/tag-compile: $(SRCDIR)/tags
	cp Makefile.in $(SRCDIR)
	cd $(SRCDIR)/Lib;make
	-cd $(SRCDIR)/Programs;make 
	touch $(SRCDIR)/tag-compile



WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	echo metis LD -L@DIR@/lib -lmetis  >$(SRCDIR)/$(INSTALL)/lib/WHERE.metis ;\
	echo metis INCLUDE -I@DIR@/include/metis>> $(SRCDIR)/$(INSTALL)/lib/WHERE.metis ;\
	fi




$(SRCDIR)/tags: $(PACKAGE)
	tar xvzf $(PACKAGE)
	patch -p0  <patch-metis
	mv  $(SRCDIR)/Programs/Makefile $(SRCDIR)/Programs/Makefile-orig
	sed -e 's;BINDIR = ..;BINDIR = ../$(INSTALL)/bin;' \
            -e 's;../libmetis.a;../$(INSTALL)/lib/libmetis.a;' \
            -e 's;-L[.][.];-L../$(INSTALL)/lib;' \
          <$(SRCDIR)/Programs/Makefile-orig \
          >$(SRCDIR)/Programs/Makefile
	mv $(SRCDIR)/Lib/Makefile $(SRCDIR)/Lib/Makefile-orig
	sed   -e 's;../libmetis.a;../$(INSTALL)/lib/libmetis.a;' \
          <$(SRCDIR)/Lib/Makefile-orig \
          >$(SRCDIR)/Lib/Makefile
	touch $(SRCDIR)/tags

$(PACKAGE):
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`



clean-local:
	-cd $(SRCDIR) && $(MAKE) realclean  -C $(SRCDIR)
	-rm -rf metis*
clean: clean-local
	-rm $(SRCDIR)/$(INSTALL)/lib/libmetis.a
	-rm $(SRCDIR)/$(INSTALL)/include/metis.h
	-rm -rf $(SRCDIR)
	-rm FAIRE FAIT

=== download/mmg3d/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
all-local: mmg3d

include ff-flags

# Downloading and compiling mmg3d
# -------------------------------
# 
DIRPKG= ../pkg
SRCDIR= ./mmg3dlib#-$(mmg3d_VERSION)
PACKAGE=$(DIRPKG)/mmg3dlib.tar.gz #-$(mmg3d_VERSION).tar.gz
INSTALL=../..
mmg3d_VERSION=
# mmg3d pas sur internet
SERVER=
WGET=
LIBMMG3D=$(SRCDIR)/$(INSTALL)/lib/libmmg3d.a
ifeq "$(MMG3DLIB_TAR)" ""
OPT=1 
else
OPT=2
endif

mmg3d: mmg3d-$(OPT)

mmg3d-1: 	
	if [ -f $(PACKAGE) ] ;then \
	   $(MAKE) FAIT-1; \
	else \
	   echo " file $(PACKAGE)  not found => no mmg3d tar file (download by hand) "; \
	fi
mmg3d-2: FAIT-2
FAIT-2: 	
	@if [ -f ../pkg/$(MMG3DLIB_TAR) ] ;then \
	   echo tar zxf ../pkg/$(MMG3DLIB_TAR)  -C .. ;\
	   tar zxf ../pkg/$(MMG3DLIB_TAR)  -C .. ;\
	   touch FAIT-2 ;\
	else \
	   echo " file ../pkg/$(MMG3DLIB_TAR)  not found => no mmg3d tar file (download by hand) "; \
	fi

FAIT-1: tag-tar
	$(MAKE) -C $(SRCDIR) lib
	touch FAIT-1
install:install-$(OPT) WHERE
install-1: FAIT-1
	-mkdir $(SRCDIR)/$(INSTALL)/include
	cp $(SRCDIR)/sources/libmmg3d.h  $(SRCDIR)/$(INSTALL)/include/libmmg3d.h
	-mkdir $(SRCDIR)/$(INSTALL)/lib
	cp $(SRCDIR)/objects/libmmg3d.a  $(LIBMMG3D)
install-2:

WHERE: 
	@-if [ -f FAIT-$(OPT) ] ; then \
	make install-$(OPT);  \
	echo mmg3d  LD -L@DIR@/lib -lmmg3d  >../lib/WHERE.mmg3d ;\
	echo mmg3d INCLUDE -I@DIR@/include>> ../lib/WHERE.mmg3d ;\
	echo build WHERE ./lib/WHERE.mmg3d ;\
	fi


FAIRE: FAIT install

tag-tar: $(PACKAGE)
	tar xvzf $(PACKAGE)
	touch tag-tar
	cp makefile-mmg3d.inc $(SRCDIR)/makefile


$(PACKAGE): 
	-mkdir $(DIRPKG);
	cd $(DIRPKG); $(WGET)   $(SERVER)/`basename $(PACKAGE)`


clean: 
	-rm ff-flags
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/libmmg3d.a
	-rm -rf $(SRCDIR)/$(INSTALL)/include/libmmg3d.a
	-rm -r $(SRCDIR)
	-rm FAIT* mmg*

ff-flags: ../Makefile
	grep 'abs_top_builddir *=' ../Makefile >> ff-flags
	grep 'CC *=' ../Makefile >> ff-flags
	grep 'CFLAGS *=' ../Makefile >> ff-flags
	grep 'LDFLAGS *=' ../Makefile >> ff-flags
	grep 'AR *=' ../Makefile >> ff-flags
	grep 'ARFLAGS *=' ../Makefile >> ff-flags
	grep 'RANLIB *=' ../Makefile >> ff-flags
	grep 'MMG3DLIB_TAR *=' ../Makefile >> ff-flags


.PHONY:$(SRCDIR)/$(INSTALL)

=== download/mshmet/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
all-local: mshmet

include ff-flags

# Downloading and compiling mshmet
# -------------------------------
# 
DIRPKG= ../pkg
SRCDIR= ./mshmet$(mshmet_VERSION)
#-$(mshmet_VERSION)
PACKAGE=$(DIRPKG)/mshmet$(mshmet_VERSION).tgz
SERVER=http://www.ann.jussieu.fr/~frey/ftp/archives/
INSTALL=../..
mshmet_VERSION=.2011.03.06


# ---------------------- 
#     mshmetlib

MSHMET_DIR = $(abs_top_builddir)/download/mshmet/mshmet$(mshmet_VERSION)
MSHMET_SRCDIRNOLIB = $(MSHMET_DIR)/sources
MSHMET_SRCDIR = $(MSHMET_DIR)/sourceslib
MSHMET_OBJDIR = $(MSHMET_DIR)/objects

mshmet: FAIRE 

FAIRE:$(SRCDIR)/FAIT
	$(MAKE) WHERE $(SRCDIR)/$(INSTALL)  
	touch FAIRE

$(SRCDIR)/FAIT:$(SRCDIR)
	cd $(MSHMET_DIR); make
	touch $(SRCDIR)/FAIT

install:$(SRCDIR)/FAIT  ../../src/libMesh/libMesh.a 
	cp $(MSHMET_SRCDIR)/mshmetlib.h  $(SRCDIR)/$(INSTALL)/include/mshmetlib.h
	cp $(MSHMET_OBJDIR)/libmshmet.a  $(SRCDIR)/$(INSTALL)/lib/libmshmet.a
	cp ../../src/libMesh/libMesh.a  $(SRCDIR)/$(INSTALL)/lib/libMesh.a
	mkdir -p $(SRCDIR)/$(INSTALL)/include/libMesh
	cp ../../src/libMesh/*h  $(SRCDIR)/$(INSTALL)/include/libMesh

../../src/libMesh/libMesh.a :
	cd ../../src/libMesh && make 

WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	make install;  \
	echo mshmet  LD -L@DIR@/lib -lmshmet  >$(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet ;\
	echo mshmet INCLUDE -I@DIR@/include>> $(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet ;\
	echo libMesh  LD -L@DIR@/lib -lMesh  >$(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh ;\
	echo libMesh INCLUDE -I@DIR@/include/libMesh >> $(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh ;\
	fi


$(SRCDIR): $(PACKAGE)
	-mkdir mshmet$(mshmet_VERSION)
	cd mshmet$(mshmet_VERSION); tar xvzf ../$(PACKAGE)
	-mkdir $(MSHMET_SRCDIR)
	cp $(MSHMET_SRCDIRNOLIB)/*.c $(MSHMET_SRCDIRNOLIB)/*.h $(MSHMET_SRCDIR)
	cp $(MSHMET_SRCDIRNOLIB)/compil.date $(MSHMET_SRCDIR)
	cp mshmetlib-internal.h mshmetlib.c mshmetlib.h $(MSHMET_SRCDIR)/
	rm $(MSHMET_SRCDIR)/mshmet.c
	cp Makefile-mshmet.inc $(MSHMET_DIR)/makefile
	# cd $(MSHMET_SRCDIR); patch -p1 < ../../mshmet.211.03.07.patch

$(PACKAGE):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`

clean-local: 
	-make -C $(MSHMET_DIR) clean;
	-rm $(MSHMET_OBJDIR)/libmshmet.a

clean: clean-local
	-rm ff-flags
	-rm -r $(MSHMET_DIR)
	-rm $(SRCDIR)/$(INSTALL)/lib/WHERE.libMesh $(SRCDIR)/$(INSTALL)/lib/WHERE.mshmet 
	-rm $(SRCDIR)/$(INSTALL)/include/mshmetlib.h
	-rm $(SRCDIR)/$(INSTALL)/lib/libmshmet.a
	-rm -r $(SRCDIR)/$(INSTALL)/lib/libMesh.a
	-rm -r $(SRCDIR)/$(INSTALL)/include/libMesh
	-rm -rf $(SRCDIR)
	-rm FAIT

ff-flags: ../Makefile 
	grep 'abs_top_builddir *=' ../Makefile >> ff-flags
	grep 'CC *=' ../Makefile >> ff-flags
	grep 'CFLAGS *=' ../Makefile >> ff-flags
	grep 'LDFLAGS *=' ../Makefile >> ff-flags
	grep 'AR *=' ../Makefile >> ff-flags
	grep 'ARFLAGS *=' ../Makefile >> ff-flags
	grep 'RANLIB *=' ../Makefile >> ff-flags
	grep 'WGET *=' ../Makefile >> ff-flags
	grep 'mshmet_VERSION *=' ./Makefile >> ff-flags


.PHONY: $(SRCDIR)/$(INSTALL)

=== download/mumps/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include Makefile.inc

all-local: mumps

# Downloading and compiling mumps
# ------------------------------
DIRPKG=../pkg
SRCDIR=MUMPS_$(VERSION)
PACKAGE1=$(DIRPKG)/MUMPS_$(VERSION).tar.gz
INSTALL=../..
VERSION=4.10.0

mumps: FAIRE-$(VERSION)

$(SRCDIR)/FAIT: $(SRCDIR)/tag-tar
	cp Makefile.inc $(SRCDIR)
	cd $(SRCDIR);make d z
	touch $(SRCDIR)/FAIT	
install: $(SRCDIR)/FAIT
	-mkdir -p $(SRCDIR)/$(INSTALL)/include/libseq
	cp $(SRCDIR)/include/*.h $(SRCDIR)/$(INSTALL)/include/
	cp $(SRCDIR)/libseq/*.h  $(SRCDIR)/$(INSTALL)/include/libseq
	-mkdir -p $(SRCDIR)/$(INSTALL)/lib
	cp $(SRCDIR)/lib/*.a $(SRCDIR)/$(INSTALL)/lib/
	cp $(SRCDIR)/libseq/libmpiseqFREEFEM.a $(SRCDIR)/$(INSTALL)/lib/

WHERE: 
	if [ -f $(SRCDIR)/FAIT  ] ;then \
	$(MAKE) install ; \
	echo mumps LD -L@DIR@/lib   -ldmumpsFREEFEM -lzmumpsFREEFEM  -lmumps_commonFREEFEM -lpordFREEFEM   >$(SRCDIR)/$(INSTALL)/lib/WHERE.mumps ;\
	echo mumps INCLUDE -I@DIR@/include  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.mumps ;\
	echo libseq LD -L@DIR@/lib  -lmpiseqFREEFEM   >>$(SRCDIR)/$(INSTALL)/lib/WHERE.mumps ;\
	echo libseq INCLUDE -I@DIR@/include/libseq>> $(SRCDIR)/$(INSTALL)/lib/WHERE.mumps ;\
	fi


FAIRE-$(VERSION):
	$(MAKE) install WHERE 
	touch FAIRE-$(VERSION)

Makefile.inc: ../../config.status	Makefile Makefile-mumps-$(VERSION).inc
	../../config.status  --file="Makefile.inc:Makefile-mumps-$(VERSION).inc"

$(SRCDIR)/$(INSTALL): $(SRCDIR)/tag-tar

$(SRCDIR)/tag-tar:$(PACKAGE1)
	tar xvzf $(PACKAGE1)
#	patch -d MUMPS_4.9.2   -p 1    <MUMPS_4.9.2.patch
	touch $(SRCDIR)/tag-tar

$(PACKAGE1):
	cd `dirname $@`; $(WGET)   http://graal.ens-lyon.fr/MUMPS/`basename $(PACKAGE1)`
clean-local:
	-cd $(SRCDIR) &&  $(MAKE) clean -C $(SRCDIR) 

clean: clean-local
	rm Makefile.inc FAIRE
	-rm -rf $(SRCDIR)/$(INSTALL)/include/*mumps*
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/lib*mumps* $(SRCDIR)/$(INSTALL)/lib/libpord*.a $(SRCDIR)/$(INSTALL)/lib/libmpiseq*.a
	-rm -rf $(SRCDIR)

.PHONY:$(SRCDIR)/$(INSTALL)

=== download/pastix/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
include config.in

all-local: pastix

# Downloading and compiling pastix
# http://gforge.inria.fr/frs/download.php/21873/
# ------------------------------
DIRPKG   = ../pkg
SRCDIR   = pastix_release_$(VERSION)
PACKAGE1 = $(DIRPKG)/pastix_release_$(VERSION).tar.bz2
SERVER   = http://gforge.inria.fr/frs/download.php/21873/
INSTALL  = ../..
VERSION  = 2200

VERSIONTYPE=$(VERSIONINT)$(VERSIONPRC)$(VERSIONFLT)
VERSIONTYPECOMPLEX=$(VERSIONINT)_complex
VERSIONNAME=$(VERSIONBIT)$(VERSIONMPI)$(VERSIONSMP)$(VERSIONBUB)$(VERSIONTYPE)$(VERSIONORD)_$(HOSTARCH)
PASTIX_DIR = $(abs_top_builddir)/download/pastix/$(SRCDIR)/install

ifneq (,$(findstring libtool,$(ARPROG)))
	OBJLIBTOOL = $(SRCDIR)/src/sopalin/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/blend/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/fax/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/kass/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/order/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/symbol/obj/$(HOSTARCH)/*.o $(SRCDIR)/src/common/obj/$(HOSTARCH)/*.o
else
	OBJLIBTOOL = 
endif

pastix: FAIRE


WHERE: 
	if [ -f $(SRCDIR)/FAIT  ] ;then \
	echo double_pastix LD -L@DIR@/lib/pastix/double   -lpastix   >$(SRCDIR)/$(INSTALL)/lib/WHERE.pastix ;\
	echo double_pastix INCLUDE -I@DIR@/include/pastix/double >> $(SRCDIR)/$(INSTALL)/lib/WHERE.pastix ;\
	echo complex_pastix LD -L@DIR@/lib/pastix/complex   -lpastix   >>$(SRCDIR)/$(INSTALL)/lib/WHERE.pastix ;\
	echo complex_pastix INCLUDE -I@DIR@/include/pastix/complex >> $(SRCDIR)/$(INSTALL)/lib/WHERE.pastix ;\
	fi

FAIRE:$(SRCDIR)/FAIT 
	$(MAKE) WHERE
	touch FAIRE

config.in: ../Makefile ../../config.status	Makefile
	../../config.status  --file="config.in:config-pastix-real.in"
	../../config.status  --file="config-complex.in:config-pastix-complex.in"

install:$(SRCDIR)/FAIT

$(SRCDIR)/FAIT: $(SRCDIR) 
	cp config.in $(SRCDIR)/src/
	cd $(SRCDIR)/src; $(MAKE) expor
	#ifndef (,$(OBJLIBTOOL)) # redefinition of "cd $(SRCDIR)/src; $(MAKE) install" for libtool
	rm -f $(SRCDIR)/install/pastix*.h $(SRCDIR)/install/pastix*.in $(SRCDIR)/install/murge*.inc
	$(abs_top_builddir)/download/pastix/$(SRCDIR)/src/utils/bin/${HOSTARCH}/genheader $(PASTIX_DIR)/pastix$(VERSIONTYPE).h $(PASTIX_DIR)/pastix_fortran$(VERSIONTYPE).h \
	$(PASTIX_DIR)/murge$(VERSIONTYPE).inc $(SRCDIR)/src/murge/include/murge.h $(SRCDIR)/src/murge/scripts/genfort.pl
	cat $(SRCDIR)/src/../bin/$(HOSTARCH)/pastix.h         >> $(PASTIX_DIR)/pastix$(VERSIONTYPE).h
	cat $(SRCDIR)/src/common/src/api.h                    >> $(PASTIX_DIR)/pastix$(VERSIONTYPE).h
	cat $(SRCDIR)/src/../bin/$(HOSTARCH)/pastix_fortran.inc >> $(PASTIX_DIR)/murge$(VERSIONTYPE).inc
	ln -sf $(PASTIX_DIR)/pastix$(VERSIONTYPE).h         	$(PASTIX_DIR)/pastix.h
	ln -sf $(PASTIX_DIR)/pastix_fortran$(VERSIONTYPE).h 	$(PASTIX_DIR)/pastix_fortran.h
	ln -sf $(PASTIX_DIR)/murge$(VERSIONTYPE).inc	 	$(PASTIX_DIR)/murge.inc
	cp  $(SRCDIR)/src/sopalin/src/csc_utils.h                     $(PASTIX_DIR)/csc_utils$(VERSIONTYPE).h
	ln -fs $(PASTIX_DIR)/csc_utils$(VERSIONTYPE).h $(PASTIX_DIR)/csc_utils.h
	cp  $(SRCDIR)/src/sopalin/src/cscd_utils.h                    $(PASTIX_DIR)/cscd_utils${VERSIONTYPE}.h
	ln -fs $(PASTIX_DIR)/cscd_utils$(VERSIONTYPE).h $(PASTIX_DIR)/cscd_utils.h
	cp  $(SRCDIR)/src/common/src/nompi.h                          $(PASTIX_DIR)/pastix_nompi.h
	cp  $(SRCDIR)/src/murge/include/murge.h 			 $(PASTIX_DIR)/murge.h
	$(ARPROG) $(ARFLAGS) $(SRCDIR)/install/libpastix$(VERSIONNAME).a $(OBJLIBTOOL)
	ranlib $(SRCDIR)/install/libpastix$(VERSIONNAME).a
	ln -sf $(PASTIX_DIR)/libpastix$(VERSIONNAME).a $(PASTIX_DIR)/libpastix.a
	cp $(PASTIX_DIR)/../bin/$(HOSTARCH)/libpastix_murge.a $(PASTIX_DIR)/libpastix_murge$(VERSIONNAME).a
	ln -sf $(PASTIX_DIR)/libpastix_murge$(VERSIONNAME).a $(PASTIX_DIR)/libpastix_murge.a
	#else
	#cd $(SRCDIR)/src; $(MAKE) install
	#endif 
	mkdir -p $(SRCDIR)/$(INSTALL)/include/pastix/double
	cp $(SRCDIR)/install/*.h $(SRCDIR)/$(INSTALL)/include/pastix/double/
	mkdir -p $(SRCDIR)/$(INSTALL)/lib/pastix/double
	cp $(SRCDIR)/install/*.a $(SRCDIR)/$(INSTALL)/lib/pastix/double/
	cd $(SRCDIR)/src/ &&  $(MAKE) clean 
	#complex version
	cp config-complex.in $(SRCDIR)/src/config.in	
	cd $(SRCDIR)/src/;$(MAKE) expor
#ifdef ($(OBJLIBTOOL))
	rm -f $(SRCDIR)/install/pastix*.h $(SRCDIR)/install/pastix*.in $(SRCDIR)/install/murge*.inc
	$(abs_top_builddir)/download/pastix/$(SRCDIR)/src/utils/bin/${HOSTARCH}/genheader $(PASTIX_DIR)/pastix$(VERSIONTYPECOMPLEX).h $(PASTIX_DIR)/pastix_fortran$(VERSIONTYPECOMPLEX).h \
	$(PASTIX_DIR)/murge$(VERSIONTYPECOMPLEX).inc $(SRDIR)/src/murge/include/murge.h $(SRDIR)/src/murge/scripts/genfort.pl
	cat $(SRCDIR)/src/../bin/$(HOSTARCH)/pastix.h         >> $(PASTIX_DIR)/pastix$(VERSIONTYPECOMPLEX).h
	cat $(SRCDIR)/src/common/src/api.h                    >> $(PASTIX_DIR)/pastix$(VERSIONTYPECOMPLEX).h
	cat $(SRCDIR)/src/../bin/$(HOSTARCH)/pastix_fortran.inc >> $(PASTIX_DIR)/murge$(VERSIONTYPECOMPLEX).inc
	ln -sf $(PASTIX_DIR)/pastix$(VERSIONTYPECOMPLEX).h         	$(PASTIX_DIR)/pastix.h
	ln -sf $(PASTIX_DIR)/pastix_fortran$(VERSIONTYPECOMPLEX).h 	$(PASTIX_DIR)/pastix_fortran.h
	ln -sf $(PASTIX_DIR)/murge$(VERSIONTYPECOMPLEX).inc	 	$(PASTIX_DIR)/murge.inc
	cp  $(SRCDIR)/src/sopalin/src/csc_utils.h                     $(PASTIX_DIR)/csc_utils$(VERSIONTYPECOMPLEX).h
	ln -fs $(PASTIX_DIR)/csc_utils$(VERSIONTYPECOMPLEX).h $(PASTIX_DIR)/csc_utils.h
	cp  $(SRCDIR)/src/sopalin/src/cscd_utils.h                    $(PASTIX_DIR)/cscd_utils${VERSIONTYPECOMPLEX}.h
	ln -fs $(PASTIX_DIR)/cscd_utils$(VERSIONTYPECOMPLEX).h $(PASTIX_DIR)/cscd_utils.h
	cp  $(SRCDIR)/src/common/src/nompi.h                          $(PASTIX_DIR)/pastix_nompi.h
	cp  $(SRCDIR)/src/murge/include/murge.h 			 $(PASTIX_DIR)/murge.h
	$(ARPROG) $(ARFLAGS) $(SRCDIR)/install/libpastix$(VERSIONNAME).a $(OBJLIBTOOL)
	ranlib $(SRCDIR)/install/libpastix$(VERSIONNAME).a
	ln -sf $(PASTIX_DIR)/libpastix$(VERSIONNAME).a $(PASTIX_DIR)/libpastix.a
	cp $(PASTIX_DIR)/../bin/$(HOSTARCH)/libpastix_murge.a $(PASTIX_DIR)/libpastix_murge$(VERSIONNAME).a
	ln -sf $(PASTIX_DIR)/libpastix_murge$(VERSIONNAME).a $(PASTIX_DIR)/libpastix_murge.a
#else
	#cd $(SRCDIR)/src/ && $(MAKE) install -C $(SRCDIR)/src
#endif
	mkdir -p $(SRCDIR)/$(INSTALL)/include/pastix/complex
	cp $(SRCDIR)/install/*.h $(SRCDIR)/$(INSTALL)/include/pastix/complex/
	mkdir -p $(SRCDIR)/$(INSTALL)/lib/pastix/complex
	cp $(SRCDIR)/install/*.a $(SRCDIR)/$(INSTALL)/lib/pastix/complex/
	patch $(SRCDIR)/$(INSTALL)/include/pastix/complex/pastix_long_complex.h   <patch-pastix_long_complex.h
	patch $(SRCDIR)/$(INSTALL)/include/pastix/complex/pastix.h <patch-pastix_long_complex.h
	touch $(SRCDIR)/FAIT



$(SRCDIR): $(PACKAGE1)
	tar xvfj $(PACKAGE1)
	#cd $(SRCDIR)/src/; patch -p1 < ../../pastix_release_2200-gen.patch
	cd $(SRCDIR)/src/blend/src/; patch -p2 < ../../../../pastix_release_2200-blend.patch
	touch $(SRCDIR)

$(PACKAGE1):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE1)`

clean-local:
	-cd $(SRCDIR)/src &&  $(MAKE) clean 

clean: clean-local
	-rm config.in FAIRE 
	-rm $(SRCDIR)/FAIT
	-rm -rf $(SRCDIR)/$(INSTALL)/include/pastix/double
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/pastix/double
	-rm -rf $(SRCDIR)/$(INSTALL)/include/pastix/complex
	-rm -rf $(SRCDIR)/$(INSTALL)/lib/pastix/complex
	-rm -rf $(SRCDIR)

.PHONY:$(SRCDIR)/$(INSTALL)

=== download/superludist/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$

all-local: superludist

# Downloading and compiling SuperLU DIST
# ------------------------------

# SUPERLU information
#http://crd.lbl.gov/~xiaoye/SuperLU/superlu_3.1.tar.gz
DIRPKG=../pkg
SRCDIR=SuperLU_DIST_2.3
PACKAGE=superlu_dist_2.3.tar.gz
PACKAGE_PATH=$(DIRPKG)/$(PACKAGE)
SERVER=http://crd.lbl.gov/~xiaoye/SuperLU/
INSTALL=../..
SUPERLU_DIST_VERSION=2.3
DISTSUPERLULIB=../$(INSTALL)/lib/libsuperlu_dist_2.3.a
WGET=wget

include make.inc

superludist: FAIT

FAIT:	
	$(MAKE) FAIRE install WHERE
	touch FAIT


FAIRE: $(SRCDIR)/SRC/$(DSUPERLULIB)  
	touch FAIRE

make.inc: ../../config.status  Makefile
	grep 'abs_top_builddir *=' ../Makefile >> dirflags
	cat dirflags make-superlu.inc > make-superlu-tmp.inc
	rm dirflags
	../../config.status  --file="make.inc:make-superlu-tmp.inc"
	case 'uname' in *CYGWIN_) cp make.inc Makefile.inn; sed "s/COPTIONS =/COPTIONS = -D__VC__/" <Makefile.inn > Makefile.in; rm Makefile.inn ;; esac
	rm make-superlu-tmp.inc

$(SRCDIR)/SRC/$(DSUPERLULIB): $(SRCDIR)
	cp make.inc $(SRCDIR)/make.inc
	cd $(SRCDIR)/SRC; $(MAKE)
install:
	mkdir -p $(SRCDIR)/$(INSTALL)/include/superludist
	cp $(SRCDIR)/SRC/*.h  $(SRCDIR)/$(INSTALL)/include/superludist
WHERE:
	echo superlu_dist LD -L@DIR@/lib -lsuperlu_dist_2.3  >$(SRCDIR)/$(INSTALL)/lib/WHERE.superlu_dist
	echo superlu_dist INCLUDE -I@DIR@/include/superludist  >> $(SRCDIR)/$(INSTALL)/lib/WHERE.superlu_dist


$(SRCDIR): $(PACKAGE_PATH)
	tar xvzf $(PACKAGE_PATH)
	cd $(SRCDIR)/SRC/; patch -p1 < ../../superludist_2.3.patch
	touch $(SRCDIR)

$(PACKAGE_PATH):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)  $(SERVER)$(PACKAGE)

clean-local:
	-cd $(SRCDIR) &&  $(MAKE) clean -C $(SRCDIR)

clean: clean-local
	-rm -rf $(SRCDIR)
	-rm  $(SRCDIR)/$(INSTALL)/include/superludist/*.h
	-rm -r $(SRCDIR)/$(INSTALL)/include/superludist/
	-rm -r $(SRCDIR)/$(INSTALL)/lib/libsuperlu_dist*.a
	-rm -r make.inc
	-rm -rf FAIT

=== download/tetgen/Makefile ===
# and compiling extra libraries
# -----------------------------------------

# $Id$

include cxxflags
all-local: tetgen

# Downloading and compiling Tetgen
# ------------------------------

# Tetgen information
DIRPKG=../pkg
SRCDIR=tetgen$(tetgen_VERSION)
PACKAGE=$(DIRPKG)/tetgen$(tetgen_VERSION).tar.gz
SERVER=http://tetgen.berlios.de/files
INSTALL=../..
tetgen_VERSION=1.4.3

tetgen: FAIRE 


FAIRE:install $(SRCDIR)/FAIT cxxflags 
	touch FAIRE


$(SRCDIR)/FAIT: $(SRCDIR) cxxflags 
	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c tetgen.cxx
	cd $(SRCDIR);$(CXX) $(CXXFLAGS) -DSELF_CHECK  -DNDEBUG -DTETLIBRARY -c predicates.cxx
	touch $(SRCDIR)/FAIT
WHERE: $(SRCDIR)/FAIT
	echo tetgen LD -L@DIR@/lib -ltet  >$(SRCDIR)/$(INSTALL)/lib/WHERE.tetgen
	echo tetgen  INCLUDE -I@DIR@/include >> $(SRCDIR)/$(INSTALL)/lib/WHERE.tetgen
install:$(SRCDIR)/FAIT WHERE
	cd $(SRCDIR);$(AR) $(ARFLAGS)  $(INSTALL)/lib/libtet.a tetgen.o predicates.o
	cp $(SRCDIR)/tetgen.h $(SRCDIR)/$(INSTALL)/include 



$(SRCDIR): $(PACKAGE)
	tar xvzf $(PACKAGE)
#	cd tetgen1.4.2;patch -p1 <../tetgen1.4.2.patch 

$(PACKAGE):
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`



clean-local:
	-rm -rf tetgen1.4.?  FAIT FAIRE 
clean:
	-rm $(SRCDIR)/$(INSTALL)/lib/libtet.a
	-rm $(SRCDIR)/$(INSTALL)/include/tetgen.h
	-rm FAIT
	-rm -rf tetgen1.4.?
cxxflags: ../Makefile  Makefile
	grep 'CXX *=' ../Makefile >cxxflags
	grep 'CC *=' ../Makefile >>cxxflags
#  bug under ubuntu et cygwin si option optime  -O3 remove optim ???
	grep 'CXXFLAGS *=' ../Makefile | sed 's/ -O[0-9]* / /'  >>cxxflags
	grep 'WGET *=' ../Makefile >>cxxflags
	grep 'AR *=' ../Makefile >>cxxflags
	grep 'ARFLAGS *=' ../Makefile >>cxxflags
.PHONY:$(SRCDIR)/$(INSTALL)

=== download/yams/Makefile ===
# Downloading and compiling extra libraries
# -----------------------------------------

# $Id$
all-local: yams

include ff-flags

# Downloading and compiling yams
# -------------------------------
# 
DIRPKG= ../pkg
SRCDIR= ./freeyams$(yams_VERSION)
#-$(yams_VERSION)
PACKAGE=$(DIRPKG)/freeyams$(yams_VERSION).tgz
SERVER=http://www.ann.jussieu.fr/~frey/ftp/archives/
INSTALL=../..
yams_VERSION=.2010.05.20

# ---------------------- 
#     yamslib

YAMS_DIR = $(abs_top_builddir)/download/yams/$(SRCDIR)
YAMS_SRCDIRNOLIB = $(YAMS_DIR)/sources
YAMS_SRCDIR = $(YAMS_DIR)/sourceslib
YAMS_OBJDIR = $(YAMS_DIR)/objects

yams: FAIRE  



FAIRE: yamslib_internal.h yamslib.c yamslib.h  ../Makefile
	$(MAKE)  install  WHERE
	touch FAIRE

$(SRCDIR)/FAIT: $(SRCDIR)/PATCH  yamslib_internal.h yamslib.c yamslib.h 
	cp yamslib_internal.h yamslib.c yamslib.h $(YAMS_SRCDIR)/
	cp makefile-yams.inc $(YAMS_DIR)/makefile
	cd $(YAMS_DIR); make
	touch $(SRCDIR)/FAIT
install: $(SRCDIR)/FAIT
	sed  s/defines.h/freeyams_defines.h/ <$(YAMS_SRCDIR)/yamslib.h  >$(SRCDIR)/$(INSTALL)/include/freeyamslib.h
	cp $(YAMS_SRCDIR)/defines.h  $(SRCDIR)/$(INSTALL)/include/freeyams_defines.h
	-mkdir $(SRCDIR)/$(INSTALL)/lib	
	cp $(YAMS_OBJDIR)/libyams.a  $(SRCDIR)/$(INSTALL)/lib/libfreeyams.a
WHERE: 
	-if [ -f $(SRCDIR)/FAIT ] ; then \
	make install;  \
	echo freeyams  LD -L@DIR@/lib -lfreeyams  >$(SRCDIR)/$(INSTALL)/lib/WHERE.freeyams ;\
	echo freeyams INCLUDE -I@DIR@/include>> $(SRCDIR)/$(INSTALL)/lib/WHERE.freeyams ;\
	fi


$(SRCDIR)/PATCH: $(PACKAGE) 
	-mkdir -p $(SRCDIR)
	cd $(SRCDIR); tar xvzf ../$(PACKAGE)
	-mkdir $(YAMS_SRCDIR)
	cp $(YAMS_SRCDIRNOLIB)/*.c $(YAMS_SRCDIRNOLIB)/*.h $(YAMS_SRCDIR)
	cp $(YAMS_SRCDIRNOLIB)/compil.date $(YAMS_SRCDIR)
	cd $(YAMS_SRCDIR); patch -p1 < ../../freeyams$(yams_VERSION).patch
	touch $(SRCDIR)/PATCH

$(PACKAGE):
	-mkdir $(DIRPKG);
	cd $(DIRPKG);$(WGET)   $(SERVER)/`basename $(PACKAGE)`

clean-local: 
	-rm FAIRE FAIT  $(SRCDIR)/FAIT
	-cd $(YAMS_DIR) &&  $(MAKE) -C $(YAMS_DIR)  clean
	-rm $(YAMS_OBJDIR)/libyams.a

clean: clean-local
	-rm ff-flags
	-rm $(SRCDIR)/$(INSTALL)/lib/libfreeyams.a
	-rm $(SRCDIR)/$(INSTALL)/include/*freeyams*.h
	-rm $(SRCDIR)/$(INSTALL)/lib/WHERE.freeyams
	-rm -rf $(YAMS_DIR)
	-rm -rf $(SRCDIR)
	-rm FAIT FAIRE

ff-flags: ../Makefile 
	grep 'abs_top_builddir *=' ../Makefile > ff-flags
	grep 'CC *=' ../Makefile >> ff-flags
	grep 'CFLAGS *=' ../Makefile >> ff-flags
	grep 'LDFLAGS *=' ../Makefile >> ff-flags
	grep 'AR *=' ../Makefile >> ff-flags
	grep 'ARFLAGS *=' ../Makefile >> ff-flags
	grep 'RANLIB *=' ../Makefile >> ff-flags
	grep 'yams_VERSION *=' ./Makefile >> ff-flags
	grep 'WGET *=' ../Makefile >> ff-flags
	grep 'LIBS *=' ../Makefile >> ff-flags


.PHONY: $(SRCDIR)/$(INSTALL)

## freefem++ 3.13

=== debian/changelog ===
freefem++ (3.13-2) unstable; urgency=low

  * Change build-dep from openmpi-bin to mpi-default-dev to effect build on 
    more arches.
  * Apply patch kfreebsd.patch to fix build failure on kfreebsd arches.
  * Rename /usr/bin/bamg to /usr/bin/ffbamg to fix double occurence of the 
    former, in both rheolef and freefem++ packages (Closes: #630864).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 20 Jun 2011 23:00:00 +0200

freefem++ (3.13-1) unstable; urgency=low

  * Initial release (Closes: #500755).
  * Built with gcc-4.5 (see bug report 49264 submitted to the gcc bugzilla 
    upstream).

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Mon, 13 Jun 2011 11:10:00 +0200

=== debian/control ===
Source: freefem++
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, 
 Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.2.3~), autotools-dev, gawk, 
 flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev,
 libxpm-dev, mpi-default-dev, libfftw3-dev, libblas-dev, libgsl0-dev,
 libarpack2-dev, libsuitesparse-dev, libsuperlu3-dev, imagemagick, 
 libfltk1.1-dev, freeglut3-dev, texlive, texlive-extra-utils, 
 texlive-latex-extra, texlive-font-utils,
 libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
 libscotch-dev, ghostscript, libptscotch-dev,
# See README.Debian for the rational on the gcc version.
 g++-4.5, gfortran-4.5
Standards-Version: 3.9.2
Homepage: http://www.freefem.org/ff++/
Vcs-Git: git://git.debian.org/debian-science/packages/freefempp.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/freefempp.git

Package: freefem++
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides the binaries of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the executables of FreeFem++.

Package: libfreefem++
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Provides the shared libraries of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the shared libraries of FreeFem++.

Package: libfreefem++-dev
Architecture: any
Section: libdevel
Depends: libfreefem++, ${shlibs:Depends}, ${misc:Depends}
Description: Provides the development files of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve.
 .
 This package contains the development files of FreeFem++.

Package: freefem++-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Provides the documentation of the FreeFem++ FE suite
 FreeFem++ is an implementation of a language dedicated to the finite
 element method. It enables you to solve Partial Differential
 Equations (PDE) easily.
 .
 Problems involving PDE from several branches of physics such as
 fluid-structure interactions require interpolations of data on
 several meshes and their manipulation within one program. FreeFem++
 includes a fast quadtree-based interpolation algorithm and a language
 for the manipulation of these data on multiple meshes. It contains
 also a powerful mesh generation and adaption tool integrated
 seamlessly in FreeFem++ called bamg.
 .
 FreeFem++ is written in C++ and the FreeFem++ language is a C++ idiom
 allowing for a smooth learning curve. 
 .
 This package contains the documentation files of FreeFem++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -f examples++-mpi/MPICG.o examples++-mpi/MPICG.so D
	rm -f download/parms/config.log download/hypre/config.log 
	rm -f download/pastix/config.log download/parmetis/config.log
	rm -f download/scotch/config.log download/superludist/config.log
	rm -f download/blacs/config.log download/scalapack/config.log
	rm -f download/hips/config.log download/metis/config.log
	rm -f download/mumps/config.log
	rm -f examples++-load/config.log src/mpi/config.log
	rm -rf DOC/cpfigs
	rm -f DOC/freefem++doc.pdf 
	rm -f DOC/addfe.aux DOC/freefem++doc.aux DOC/freefem++doc.idx
	rm -f DOC/freefem++doc.ilg DOC/freefem++doc.ind DOC/freefem++doc.log
	rm -f DOC/freefem++doc.out DOC/freefem++doc.pdfsync DOC/freefem++doc.toc
	rm -f config-version.h config_LIB_INFO configure.param
	rm -f download/blacs/Bmake.inc download/fftw/cxxflags
	rm -f download/gmm/cxxflags download/metis/Makefile.in
	rm -f download/pastix/config-complex.in download/pastix/config.in
	rm -f download/tetgen/cxxflags examples++-3d/freefem++.pref
	rm -f examples++-load/WHERE_LIBRARY-config 
	rm -f examples++-load/freefem++.pref examples++-mpi/freefem++.pref
	rm -f src/medit/compil.date src/mpi/ff-mpirun

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
# See README.Debian for the rational on the gcc version.
	dh_auto_configure -- CFLAGS=-lm CXX=g++-4.5 CC=gcc-4.5 FC=gfortran-4.5
	dh_auto_build
#	dh_auto_test

binary-indep:
	dh_testroot -i
	dh_prep -i
	dh_installdirs -i
	dh_auto_install -i
	dh_install -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_installexamples -i
	dh_installman -i
	dh_installcatalogs -i
	dh_installcron -i
	dh_installdebconf -i
	dh_installemacsen -i
	dh_installifupdown -i
	dh_installinfo -i
#	dh_pysupport -i
	dh_installinit -i
	dh_installmenu -i
	dh_installmime -i
	dh_installmodules -i
	dh_installlogcheck -i
	dh_installlogrotate -i
	dh_installpam -i
	dh_installppp -i
	dh_installudev -i
	dh_installwm -i
	dh_installxfonts -i
	dh_bugfiles -i
	dh_lintian -i
	dh_gconf -i
	dh_icons -i
	dh_perl -i
	dh_usrlocal -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
# 	dh_strip -i
# 	dh_makeshlibs -i
# 	dh_shlibdeps -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: 
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_auto_install -a
	dh_install -a
	mv debian/freefem++/usr/bin/bamg debian/freefem++/usr/bin/ffbamg
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installexamples -a
	dh_installman -a
	dh_installcatalogs -a
	dh_installcron -a
	dh_installdebconf -a
	dh_installemacsen -a
	dh_installifupdown -a
	dh_installinfo -a
#	dh_pysupport -a
	dh_installinit -a
	dh_installmenu -a
	dh_installmime -a
	dh_installmodules -a
	dh_installlogcheck -a
	dh_installlogrotate -a
	dh_installpam -a
	dh_installppp -a
	dh_installudev -a
	dh_installwm -a
	dh_installxfonts -a
	dh_bugfiles -a
	dh_lintian -a
	dh_gconf -a
	dh_icons -a
	dh_perl -a
	dh_usrlocal -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_strip -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep

## freefem++ 3.13.3

=== debian/changelog ===
freefem++ (3.13.3-1) unstable; urgency=low

  * Add patch for the location of file freefem++.pref.
  * New upstream release.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Tue, 9 Aug 2011 15:31:00 +0300

freefem++ (3.13.2-1) unreleased; urgency=low

  * Revert to gcc-4.6 for building.
  * New upstream release.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 3 Jul 2011 21:51:00 +0300

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,14 @@
 Uploaders: Christophe Trophime <christophe.trophime@grenoble.cnrs.fr>, 
  Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.2.3~), autotools-dev, gawk, 
+Build-Depends: debhelper (>= 7.2.3~), autotools-dev, gawk, gfortran, 
  flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev,
  libxpm-dev, mpi-default-dev, libfftw3-dev, libblas-dev, libgsl0-dev,
  libarpack2-dev, libsuitesparse-dev, libsuperlu3-dev, imagemagick, 
  libfltk1.1-dev, freeglut3-dev, texlive, texlive-extra-utils, 
  texlive-latex-extra, texlive-font-utils,
  libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
- libscotch-dev, ghostscript, libptscotch-dev,
-# See README.Debian for the rational on the gcc version.
- g++-4.5, gfortran-4.5
+ libscotch-dev, ghostscript, libptscotch-dev
 Standards-Version: 3.9.2
 Homepage: http://www.freefem.org/ff++/
 Vcs-Git: git://git.debian.org/debian-science/packages/freefempp.git

## freefem++ 3.14

=== debian/changelog ===
freefem++ (3.14-1) unstable; urgency=low

  * New upstream release.
  * Add build-deps for mumps_ptscotch, mumps_scotch and hypre.
  * Change build-dep libfltk1.1-dev to libfltk1.3-dev | libfltk-dev in debian/
    control file.

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Wed, 14 Sep 2011 19:11:00 +0300

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.2.3~), autotools-dev, gawk, gfortran, 
- flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev,
+ flex, bison, libxt-dev, libxext-dev, libxxf86vm-dev, libhypre-dev, 
  libxpm-dev, mpi-default-dev, libfftw3-dev, libblas-dev, libgsl0-dev,
  libarpack2-dev, libsuitesparse-dev, libsuperlu3-dev, imagemagick, 
- libfltk1.1-dev, freeglut3-dev, texlive, texlive-extra-utils, 
- texlive-latex-extra, texlive-font-utils,
- libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev,
- libscotch-dev, ghostscript, libptscotch-dev
+ libfltk1.3-dev | libfltk-dev, freeglut3-dev, texlive, texlive-extra-utils, 
+ texlive-latex-extra, texlive-font-utils, libmumps-ptscotch-dev,
+ libmumps-dev, libblacs-mpi-dev, libscalapack-mpi-dev, 
+ libscotch-dev, ghostscript, libptscotch-dev, libmumps-scotch-dev
 Standards-Version: 3.9.2
 Homepage: http://www.freefem.org/ff++/
 Vcs-Git: git://git.debian.org/debian-science/packages/freefempp.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 	dh_testdir
 	dh_auto_clean
 	dh_clean
-	rm -f examples++-mpi/MPICG.o examples++-mpi/MPICG.so D
 	rm -f download/parms/config.log download/hypre/config.log 
 	rm -f download/pastix/config.log download/parmetis/config.log
 	rm -f download/scotch/config.log download/superludist/config.log
@@ -22,27 +21,30 @@
 	rm -f download/hips/config.log download/metis/config.log
 	rm -f download/mumps/config.log
 	rm -f examples++-load/config.log src/mpi/config.log
-	rm -rf DOC/cpfigs
-	rm -f DOC/freefem++doc.pdf 
-	rm -f DOC/addfe.aux DOC/freefem++doc.aux DOC/freefem++doc.idx
+	rm -rf DOC/cpfigs 
+	rm -f DOC/addfe.aux 
+	rm -f DOC/freefem++doc.aux DOC/freefem++doc.idx
 	rm -f DOC/freefem++doc.ilg DOC/freefem++doc.ind DOC/freefem++doc.log
-	rm -f DOC/freefem++doc.out DOC/freefem++doc.pdfsync DOC/freefem++doc.toc
+	rm -f DOC/freefem++doc.out DOC/freefem++doc.pdf DOC/freefem++doc.pdfsync 
+	rm -f DOC/freefem++doc.toc
 	rm -f config-version.h config_LIB_INFO configure.param
-	rm -f download/blacs/Bmake.inc download/fftw/cxxflags
+# 	rm -f download/blacs/Bmake.inc 
+	rm -f download/fftw/cxxflags
 	rm -f download/gmm/cxxflags download/metis/Makefile.in
-	rm -f download/pastix/config-complex.in download/pastix/config.in
+	rm -f download/pastix/config-complex.in 
+#       rm -f download/pastix/config.in
 	rm -f download/tetgen/cxxflags examples++-3d/freefem++.pref
 	rm -f examples++-load/WHERE_LIBRARY-config 
 	rm -f examples++-load/freefem++.pref examples++-mpi/freefem++.pref
-	rm -f src/medit/compil.date src/mpi/ff-mpirun
+	rm -f examples++-mpi/MPICG.o examples++-mpi/MPICG.so
+	rm -f src/mpi/config.log src/mpi/ff-mpirun src/medit/compil.date
 
 build: build-arch build-indep
 build-arch: build-stamp
 build-indep: build-stamp
 build-stamp:
 	dh_testdir
-# See README.Debian for the rational on the gcc version.
-	dh_auto_configure -- CFLAGS=-lm CXX=g++-4.5 CC=gcc-4.5 FC=gfortran-4.5
+	dh_auto_configure -- CFLAGS=-lm
 	dh_auto_build
 #	dh_auto_test
